Package org.apache.lucene.sandbox.search

# Class PhraseWildcardQuery.TermStats

java.lang.Object
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermStats

Enclosing class:
  `PhraseWildcardQuery`

public static class PhraseWildcardQuery.TermStats extends Object
Accumulates the doc freq and total term freq.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `docFreq`
  `protected final BytesRef`
  `termBytes`
  `protected long`
  `totalTermFreq`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TermStats(BytesRef termBytes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addStats(int docFreq, long totalTermFreq)`
  `BytesRef`
  `getTermBytes()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### termBytes

    protected final BytesRef termBytes

  - ### docFreq

    protected int docFreq

  - ### totalTermFreq

    protected long totalTermFreq

- ## Constructor Details

  - ### TermStats

    protected TermStats(BytesRef termBytes)

- ## Method Details

  - ### getTermBytes

    public BytesRef getTermBytes()

  - ### addStats

    protected void addStats(int docFreq, long totalTermFreq)